SELECT 

tbBuchung.ZahlArt AS Zahlart, 

tbBuchungDetail.SteuerSatz, 

CCur(ROUND(SUM(IIF(tbBuchung.ZahlArt='ENTNAHME',-(tbBuchungDetail.GesamtPreisBrutto / (tbBuchungDetail.SteuerSatz / 100 + 1)),(tbBuchungDetail.GesamtPreisBrutto / (tbBuchungDetail.SteuerSatz / 100 + 1)))),2)) AS [VK Netto], 

CCur(ROUND(SUM(IIF(tbBuchung.ZahlArt='ENTNAHME',-tbBuchungDetail.GesamtPreisBrutto,tbBuchungDetail.GesamtPreisBrutto)),2))
-
CCur(ROUND(SUM(IIF(tbBuchung.ZahlArt='ENTNAHME',-(tbBuchungDetail.GesamtPreisBrutto / (tbBuchungDetail.SteuerSatz / 100 + 1)),(tbBuchungDetail.GesamtPreisBrutto / (tbBuchungDetail.SteuerSatz / 100 + 1)))),2)) AS [Ust],  


CCur(ROUND(SUM(IIF(tbBuchung.ZahlArt='ENTNAHME',-tbBuchungDetail.GesamtPreisBrutto,tbBuchungDetail.GesamtPreisBrutto)),2)) AS [VK Brutto]  


FROM tbBuchung INNER JOIN tbBuchungDetail ON tbBuchung.BuchungID = tbBuchungDetail.BuchungID 

WHERE (tbBuchung.BelegTyp='BN' OR tbBuchung.BelegTyp='RG' OR tbBuchung.BelegTyp='GS') 

AND (tbBuchungDetail.EAN <> 'ZWS') 
AND (tbBuchungDetail.EAN NOT LIKE '401-Entnahme%') 
AND (tbBuchungDetail.Konto <> '401-Einlagen')
AND (tbBuchung.IsStorniert=0) 
 
AND (tbBuchung.ZahlungEingang BETWEEN #DLG_Between#) 

GROUP BY 

tbBuchung.ZahlArt, 

tbBuchungDetail.SteuerSatz 

ORDER BY  

tbBuchung.ZahlArt ASC;







